XF2.1 Fehlermeldungen beim Hochladen von Bilder/Addons in der Admin-Konsole

Dieses Thema im Forum "Fehler und Probleme" wurde erstellt von RagisterLP, 4. Nov. 2019.

  1. RagisterLP

    RagisterLP Neues Mitglied Lizenzinhaber

    Hallo,
    leider muss ich euch schon wieder einmal mit einer Frage belästigen, sorry :/

    Allgemeine Infos:

    Xenforo Version: 2.1.4 (vorher geupdatet von 1.5.2 auf 2.1.4)
    Neues Template erworben für diese Version
    Das gleiche gilt auch für das Addon
    [​IMG]

    Beim Hochladen von Bildern e.z. für den Hintergrund oder
    auch wo anders kommt folgende Fehlermeldung;

    [​IMG]

    Code (Text):
    Error: Call to a member function setAllowedExtensions() on bool in src/addons/ThemeHouse/UIX/Admin/Controller/UixSpImageUpload.php at line 95
    ThemeHouse\UIX\Admin\Controller\UixSpImageUpload->actionUpload() in src/XF/Mvc/Dispatcher.php at line 321
    XF\Mvc\Dispatcher->dispatchClass() in src/XF/Mvc/Dispatcher.php at line 244
    XF\Mvc\Dispatcher->dispatchFromMatch() in src/XF/Mvc/Dispatcher.php at line 100
    XF\Mvc\Dispatcher->dispatchLoop() in src/XF/Mvc/Dispatcher.php at line 50
    XF\Mvc\Dispatcher->run() in src/XF/App.php at line 2178
    XF\App->run() in src/XF.php at line 390
    XF::runApp() in admin.php at line 13

    Beim Versuch, das Addon Nodes Icon Tweak zu Updaten

    [​IMG]

    Code (Text):
    The following errors must be resolved before continuing:
    [XFA] Nodes Icon Tweak requires [XFA] Core 1.0.0.

    Link zum Forum: Hytale Forum - Deutschlands größte Hytale Plattform + Discord

    Danke schon jetzt für euere Hilfe
     

    Anhänge:

    Zuletzt bearbeitet: 4. Nov. 2019
  2. Tealk

    Tealk Bekanntes Mitglied Lizenzinhaber

    Hast du XFA Core Add-on denn installiert?

    Sieht nach einem Fehler im TH Add-on aus
     
  3. mph

    mph Bekanntes Mitglied Lizenzinhaber

    Die PHP-Einstellungen sind auch ein wenig knapp bemessen.
     
  4. RagisterLP

    RagisterLP Neues Mitglied Lizenzinhaber

    Hallo,
    danke für die schnellen Antworten.
    Das Addon hatte ich schon vorher,vor dem Updaten installiert gehabt. Als ich das Forum daraufhin geupdatet habe, habe ich mir die neue Lizenz für das Addon erworben und die upload datei standartmäßig hinzugefügt/mit ihr die alten Dateien überschrieben.
    Danach wollte ich wie am Bild zu erkennen ist, das Addon aktualisieren, was mir diese Fehlermeldung ausgeworfen hat. Ich denke ja, dass dieses Problem mit den ersten Problem zusammenhängt. Oder wie würdet Ihr den Fehler einschätzen?

    Ich habe mir das aktuellst TH Addon von Themehouse geholt, wie am Bild noch zu erkennen mit der Version 2.1.2
    Wäre es möglich, dass das Addon 2.1.2 sich nicht mit der Forum Version 2.1.4 verträgt, oder habt ihr damit schon Erfahrungen gemacht? Denn dann würde ich versuchen, das Forum downzugraden auf 2.1.2. Oder ist die Version auch mit der anderen kompatibel?

    Gut gesehen, ich hatte noch nicht die Gelegenheit die php.ini umzustellen. Würde mich dem aber nach der Behebung des Fehlers widmen. Danke trotzdem für den Tipp, weiß ich zu schätzen.
     
  5. Tealk

    Tealk Bekanntes Mitglied Lizenzinhaber

    Nein, da stehst ganz klar das du ein anderes Add-on als Abhängigkeit brauchst, im Screen sehe ich nicht das du es installiert hast, also gehe ich davon aus das es fehlt...

    Ich bin mir nicht mal sicher ob downgrade bei XF funktioniert und wenn würde ich mit sehr viele Fehlern rechnen.
     
    otto gefällt das.
  6. V0RT3X

    V0RT3X Bekanntes Mitglied Lizenzinhaber

    Da kann man besser ein BackUp einspielen.
     
    otto und Tealk gefällt das.
  1. Diese Seite verwendet Cookies, um Inhalte zu personalisieren, diese deiner Erfahrung anzupassen und dich nach der Registrierung angemeldet zu halten.
    Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies.
    Information ausblenden